import axios from "axios";
import { envConfig } from "./config";

export async function getTableByCount(idCuenta: number) {
  try {
    const res = await axios.get(
      `${envConfig.apiUrl}/bitacora-mesa/table/${idCuenta}`,
    );
    return res.data;
  } catch (error: any) {
    if (axios.isAxiosError(error)) {
      return {
        error: error.response?.data?.message || "Error al consultar equipo",
      };
    }

    return { error: "Error desconocido" };
  }
}